Bug 224896 - New port: devel/ros-console_bridge ROS-independent logging that pipes into ROS packages
Summary: New port: devel/ros-console_bridge ROS-independent logging that pipes into RO...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-04 14:06 UTC by Trenton Schulz
Modified: 2019-09-25 04:25 UTC (History)
2 users (show)

See Also:


Attachments
sharfile for devel/ros-console_bridge (2.31 KB, text/plain)
2018-01-04 14:06 UTC, Trenton Schulz
no flags Details
Updated sharfile (2.24 KB, text/plain)
2019-09-17 10:31 UTC, Trenton Schulz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Trenton Schulz 2018-01-04 14:06:36 UTC
Created attachment 189397 [details]
sharfile for devel/ros-console_bridge

New port for getting the Robot Operating System going on FreeBSD. Like rosdep, this is just some of the necessary plumbing.
Comment 1 Trenton Schulz 2019-09-17 10:31:50 UTC
Created attachment 207557 [details]
Updated sharfile

Updated the sharfile to work with changes in ports and newer version of the software.
Comment 2 Kurt Jaeger freebsd_committer 2019-09-25 04:25:47 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-09-25 04:25:47 UTC
A commit references this bug:

Author: pi
Date: Wed Sep 25 04:25:45 UTC 2019
New revision: 512764
URL: https://svnweb.freebsd.org/changeset/ports/512764

Log:
  New port: devel/ros-console_bridge

  ros-console_bridge provides a Robot Operating System (ROS) mechanism
  for logging that seamlessly pipes into rosconsole/rosout for
  ROS-dependent packages.

  This package is independent of ROS. That is, it doesn't require any
  other parts of ROS.

  WWW: https://github.com/ros/console_bridge

  PR:		224896
  Submitted by:	Trenton Schulz <trueos@norwegianrockcat.com>

Changes:
  head/devel/Makefile
  head/devel/ros-console_bridge/
  head/devel/ros-console_bridge/Makefile
  head/devel/ros-console_bridge/distinfo
  head/devel/ros-console_bridge/pkg-descr
  head/devel/ros-console_bridge/pkg-plist